.custom-keyboard {
  flex-wrap: wrap;
  gap: 0.2em;
  justify-content: center;
  opacity: 0;
  display: flex;
  pointer-events: none;
  transform: translateY(10px);
  margin-bottom: -2rem;
  height: 0;
  overflow: hidden;
  box-sizing: border-box;
  transition: all 0.84s ease;
  margin-left: auto;
  margin-right: auto;
}

.custom-keyboard.removing {
  height: auto;
}

.custom-keyboard.active {
  opacity: 1;
  transform: translateY(0);
  pointer-events: auto;
  margin-bottom: 0px;
  height: auto;
  padding-bottom: 1rem;
  margin-top: 1.3em;
}

.custom-keyboard button {
  font-size: 1.2em;
  padding: 0.4em 0;
  border-radius: 6px;
  border: 1px solid #ccc;
  background-color: #f9f9f9;
  cursor: pointer;
  width: 1.9rem;
  text-align: center;
}

.custom-keyboard button:active {
  background-color: #e0e0e0;
}

.custom-keyboard .backspace-key {
  width: 60px;
  font-weight: bold;
}

.custom-keyboard .enter-key {
  width: 84px;
  font-weight: bold;
  margin-left: 1px;
}


/* Larger screens */
@media screen and (min-width: 1300px) {
  .custom-keyboard { max-width: 600px; }
}
